From f5cc6ccd470162ecbec339e912366cdc232a3ac7 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 14:31:28 +0000
Subject: [PATCH 363/1001] Make the cobweb widget into a builtin thing.  Fixes #133.


---

diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index 8914ab6..1e917ed 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -58,8 +58,6 @@ class WidgetTest(unittest.TestCase):
                 hub.last_updated = datetime.utcnow() - timedelta(days=200)
 
             hubs.app.session.add(hub)
-            widget = hubs.models.Widget(plugin='cobwebs', index=10)
-            hub.widgets.append(widget)
             widget = hubs.models.Widget(plugin='meetings', index=11,
                                         _config=json.dumps({'calendar': team}))
             hub.widgets.append(widget)
diff --git a/hubs/widgets/__init__.py b/hubs/widgets/__init__.py
index cc7007c..551876a 100755
--- a/hubs/widgets/__init__.py
+++ b/hubs/widgets/__init__.py
@@ -8,7 +8,6 @@ from hubs.widgets import linechart
 from hubs.widgets import fedmsgstats
 from hubs.widgets import feed
 from hubs.widgets import subscriptions
-from hubs.widgets import cobwebs
 from hubs.widgets import meetings
 from hubs.widgets import pagure_pr
 from hubs.widgets import github_pr
@@ -32,7 +31,6 @@ registry = {
     'fedmsgstats': fedmsgstats,
     'feed': feed,
     'subscriptions': subscriptions,
-    'cobwebs': cobwebs,
     'meetings': meetings,
     'pagure_pr': pagure_pr,
     'github_pr': github_pr,
diff --git a/populate.py b/populate.py
index 9f1816c..5e89881 100755
--- a/populate.py
+++ b/populate.py
@@ -48,8 +48,6 @@ widget = hubs.models.Widget(plugin='about', index=3,
                             }))
 hub.widgets.append(widget)
 
-widget = hubs.models.Widget(plugin='cobwebs', index=0, left=True)
-hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='sticky', index=1, left=True,
                             _config=json.dumps({
                                 'text': "<p>The Fedora I18N project works on internationalization (i18n) to support the localization (l10n) of Fedora in many languages. Translation of Fedora software and documentation are handled by the Fedora L10N project.</p> <p>The goals of the Project are to:</p> <ul><li>Develop, package, and maintain applications like input methods for different languages</li> <li>Improve applications and utilities to support and process different languages</li> <li>Quality-assure that existing applications meet i18n standards</li> <li>Support the infrastructure of the Fedora Localization Project</li></ul>",
@@ -93,8 +91,6 @@ widget = hubs.models.Widget(plugin='about', index=3,
                             }))
 hub.widgets.append(widget)
 
-widget = hubs.models.Widget(plugin='cobwebs', index=0, left=True)
-hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='sticky', index=1, left=True,
                             _config=json.dumps({
                                 'text': "Bringing more heat and light to Fedora, so you don't have to choose between 'building things' and 'building communities that build things.'",
@@ -140,8 +136,6 @@ widget = hubs.models.Widget(plugin='about', index=3,
                             }))
 hub.widgets.append(widget)
 
-widget = hubs.models.Widget(plugin='cobwebs', index=0, left=True)
-hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='sticky', index=1, left=True,
                             _config=json.dumps({
                                 'text': "The Fedora Marketing Team develops and executes marketing strategies to promote the usage and support of Fedora worldwide. Through the development of processes and content, this project aims to support the efforts of other Fedora projects to spread Fedora and to provide a central repository of ideas and information that can be used to deliver Fedora to new audiences. We work closely with the Fedora Ambassadors who spread the word about Fedora at events and allow the Fedora Project to interact directly with its existing and prospective users. ",
@@ -188,8 +182,6 @@ widget = hubs.models.Widget(plugin='about', index=3,
                             }))
 hub.widgets.append(widget)
 
-widget = hubs.models.Widget(plugin='cobwebs', index=0, left=True)
-hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='sticky', index=1, left=True,
                             _config=json.dumps({
                                 'text': "The Design Team is the design group of the Fedora project. Our interests are not only in creating graphics for use by the Fedora community, but also in advocating the use of the creative tools that are a part of Fedora.",
@@ -237,8 +229,6 @@ widget = hubs.models.Widget(plugin='about', index=3,
                             }))
 hub.widgets.append(widget)
 
-widget = hubs.models.Widget(plugin='cobwebs', index=0, left=True)
-hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='sticky', index=2, left=True,
                             _config=json.dumps({
                                 'text': "The Infrastructure Team consists of dedicated volunteers and professionals managing the servers, building the tools and utilities, and creating new applications to make Fedora development a smoother process. We're located all over the globe and communicate primarily by IRC and e-mail. ",

